# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 4.3

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: bbr-algo
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /home/k4/tmp/bbr-algo/BinderBeispielRegler/

#############################################
# Utility command for test

build CMakeFiles/test.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler && /usr/local/bin/ctest
  DESC = Running tests...
  pool = console
  restat = 1

build test: phony CMakeFiles/test.util


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler && /usr/local/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler && /usr/local/bin/cmake --regenerate-during-build -S/home/k4/tmp/bbr-algo/BinderBeispielRegler -B/home/k4/tmp/bbr-algo/BinderBeispielRegler
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /home/k4/tmp/bbr-algo/BinderBeispielRegler/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target app


#############################################
# Order-only phony target for app

build cmake_object_order_depends_target_app: phony || app/app_autogen app/app_autogen/mocs_compilation.cpp app/app_autogen/timestamp app/app_autogen_timestamp_deps cmake_object_order_depends_target_app_lib cmake_object_order_depends_target_ctrl_algo

build app/CMakeFiles/app.dir/app_autogen/mocs_compilation.cpp.o: CXX_COMPILER__app_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/mocs_compilation.cpp || cmake_object_order_depends_target_app
  CONFIG = Debug
  DEFINES = -DQT_CORE_LIB -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app.dir/app_autogen/mocs_compilation.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIE -fdiagnostics-color=always -fPIC
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/include -isystem /home/k4/Qt/6.10.2/gcc_64/include/QtCore -isystem /home/k4/Qt/6.10.2/gcc_64/include -isystem /home/k4/Qt/6.10.2/gcc_64/mkspecs/linux-g++
  OBJECT_DIR = app/CMakeFiles/app.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app.dir/app_autogen
  TARGET_COMPILE_PDB = app/CMakeFiles/app.dir/
  TARGET_PDB = app/app.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app.dir

build app/CMakeFiles/app.dir/main.cpp.o: CXX_COMPILER__app_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/main.cpp || cmake_object_order_depends_target_app
  CONFIG = Debug
  DEFINES = -DQT_CORE_LIB -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIE -fdiagnostics-color=always -fPIC
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/include -isystem /home/k4/Qt/6.10.2/gcc_64/include/QtCore -isystem /home/k4/Qt/6.10.2/gcc_64/include -isystem /home/k4/Qt/6.10.2/gcc_64/mkspecs/linux-g++
  OBJECT_DIR = app/CMakeFiles/app.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app.dir/
  TARGET_PDB = app/app.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app.dir


# =============================================================================
# Link build statements for EXECUTABLE target app


#############################################
# Link the executable app/app

build app/app: CXX_EXECUTABLE_LINKER__app_Debug app/CMakeFiles/app.dir/app_autogen/mocs_compilation.cpp.o app/CMakeFiles/app.dir/main.cpp.o | app/libapp_lib.a controller/libctrl_algo.so /home/k4/Qt/6.10.2/gcc_64/lib/libQt6Core.so.6.10.2 || app/app_autogen app/app_autogen_timestamp_deps app/libapp_lib.a controller/libctrl_algo.so
  CONFIG = Debug
  DEP_FILE = app/CMakeFiles/app.dir/link.d
  FLAGS = -g
  LINK_FLAGS = -Wl,--dependency-file=app/CMakeFiles/app.dir/link.d
  LINK_LIBRARIES = -Wl,-rpath,/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller:/home/k4/Qt/6.10.2/gcc_64/lib  app/libapp_lib.a  controller/libctrl_algo.so  /home/k4/Qt/6.10.2/gcc_64/lib/libQt6Core.so.6.10.2
  OBJECT_DIR = app/CMakeFiles/app.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = app/CMakeFiles/app.dir/
  TARGET_FILE = app/app
  TARGET_PDB = app/app.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app.dir

# =============================================================================
# Object build statements for STATIC_LIBRARY target app_lib


#############################################
# Order-only phony target for app_lib

build cmake_object_order_depends_target_app_lib: phony || app/app_lib_autogen app/app_lib_autogen/mocs_compilation.cpp app/app_lib_autogen/timestamp app/app_lib_autogen_timestamp_deps app/meta_types/app_lib_json_file_list.txt app/meta_types/app_lib_json_file_list.txt.timestamp app/meta_types/qt6app_lib_metatypes.json app/meta_types/qt6app_lib_metatypes.json.gen

build app/CMakeFiles/app_lib.dir/app_lib_autogen/mocs_compilation.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/mocs_compilation.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/app_lib_autogen/mocs_compilation.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir/app_lib_autogen
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/main.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/main.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/main.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/filter.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/filter.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/filter.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/pwm.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/pwm.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/pwm.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/climate-algorithm.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/climate-algorithm.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/climate-algorithm.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/pid.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/pid.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/pid.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/datamodel.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/datamodel.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/datamodel.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir

build app/CMakeFiles/app_lib.dir/dataset.cpp.o: CXX_COMPILER__app_lib_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/dataset.cpp || cmake_object_order_depends_target_app_lib
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = app/CMakeFiles/app_lib.dir/dataset.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/../controller -I/home/k4/Qt/6.10.2/gcc_64/include/QtCore -I/home/k4/Qt/6.10.2/gcc_64/include
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  OBJECT_FILE_DIR = app/CMakeFiles/app_lib.dir
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir


# =============================================================================
# Link build statements for STATIC_LIBRARY target app_lib


#############################################
# Link the static library app/libapp_lib.a

build app/libapp_lib.a: CXX_STATIC_LIBRARY_LINKER__app_lib_Debug app/CMakeFiles/app_lib.dir/app_lib_autogen/mocs_compilation.cpp.o app/CMakeFiles/app_lib.dir/main.cpp.o app/CMakeFiles/app_lib.dir/filter.cpp.o app/CMakeFiles/app_lib.dir/pwm.cpp.o app/CMakeFiles/app_lib.dir/climate-algorithm.cpp.o app/CMakeFiles/app_lib.dir/pid.cpp.o app/CMakeFiles/app_lib.dir/datamodel.cpp.o app/CMakeFiles/app_lib.dir/dataset.cpp.o || app/app_lib_autogen app/app_lib_autogen_timestamp_deps
  CONFIG = Debug
  LANGUAGE_COMPILE_FLAGS = -g
  OBJECT_DIR = app/CMakeFiles/app_lib.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_COMPILE_PDB = app/CMakeFiles/app_lib.dir/app_lib.pdb
  TARGET_FILE = app/libapp_lib.a
  TARGET_PDB = app/libapp_lib.pdb
  TARGET_SUPPORT_DIR = app/CMakeFiles/app_lib.dir


#############################################
# Utility command for test

build app/CMakeFiles/test.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /usr/local/bin/ctest
  DESC = Running tests...
  pool = console
  restat = 1

build app/test: phony app/CMakeFiles/test.util


#############################################
# Utility command for edit_cache

build app/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /usr/local/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build app/edit_cache: phony app/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build app/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /usr/local/bin/cmake --regenerate-during-build -S/home/k4/tmp/bbr-algo/BinderBeispielRegler -B/home/k4/tmp/bbr-algo/BinderBeispielRegler
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build app/rebuild_cache: phony app/CMakeFiles/rebuild_cache.util


#############################################
# Utility command for app_autogen_timestamp_deps

build app/app_autogen_timestamp_deps: phony app/libapp_lib.a controller/libctrl_algo.so


#############################################
# Utility command for app_autogen

build app/app_autogen: phony app/CMakeFiles/app_autogen app/app_autogen/timestamp app/app_autogen/mocs_compilation.cpp app/app_autogen_timestamp_deps


#############################################
# Utility command for app_lib_autogen_timestamp_deps

build app/app_lib_autogen_timestamp_deps: phony


#############################################
# Utility command for app_lib_autogen

build app/app_lib_autogen: phony app/CMakeFiles/app_lib_autogen app/app_lib_autogen/timestamp app/app_lib_autogen/mocs_compilation.cpp app/app_lib_autogen_timestamp_deps


#############################################
# Custom command for app/app_autogen/timestamp

build app/app_autogen/timestamp app/app_autogen/mocs_compilation.cpp | ${cmake_ninja_workdir}app/app_autogen/timestamp ${cmake_ninja_workdir}app/app_autogen/mocs_compilation.cpp: CUSTOM_COMMAND /home/k4/Qt/6.10.2/gcc_64/libexec/moc || app/app_autogen_timestamp_deps app/app_lib_autogen app/app_lib_autogen_timestamp_deps app/libapp_lib.a controller/libctrl_algo.so
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /usr/local/bin/cmake -E cmake_autogen /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/CMakeFiles/app_autogen.dir/AutogenInfo.json Debug && /usr/local/bin/cmake -E touch /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/timestamp && /usr/local/bin/cmake -E cmake_transform_depfile Ninja gccdepfile /home/k4/tmp/bbr-algo/BinderBeispielRegler /home/k4/tmp/bbr-algo/BinderBeispielRegler/app /home/k4/tmp/bbr-algo/BinderBeispielRegler /home/k4/tmp/bbr-algo/BinderBeispielRegler/app /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_autogen/deps /home/k4/tmp/bbr-algo/BinderBeispielRegler/CMakeFiles/d/5b47cd4673d9f6fa99ff935b3f3fed0a2939beb716c8e11654d4fbb3e4c18448.d
  DESC = Automatic MOC and UIC for target app
  depfile = CMakeFiles/d/5b47cd4673d9f6fa99ff935b3f3fed0a2939beb716c8e11654d4fbb3e4c18448.d
  deps = gcc
  restat = 1


#############################################
# Custom command for app/meta_types/qt6app_lib_metatypes.json.gen

build app/meta_types/qt6app_lib_metatypes.json.gen app/meta_types/qt6app_lib_metatypes.json | ${cmake_ninja_workdir}app/meta_types/qt6app_lib_metatypes.json.gen ${cmake_ninja_workdir}app/meta_types/qt6app_lib_metatypes.json: CUSTOM_COMMAND /home/k4/Qt/6.10.2/gcc_64/libexec/moc app/meta_types/app_lib_json_file_list.txt || app/app_lib_autogen app/app_lib_autogen_timestamp_deps
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /home/k4/Qt/6.10.2/gcc_64/libexec/moc -o /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/qt6app_lib_metatypes.json.gen --collect-json @/home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/app_lib_json_file_list.txt && /usr/local/bin/cmake -E copy_if_different /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/qt6app_lib_metatypes.json.gen /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/qt6app_lib_metatypes.json
  DESC = Running moc --collect-json for target app_lib
  restat = 1


#############################################
# Custom command for app/app_lib_autogen/timestamp

build app/app_lib_autogen/timestamp app/app_lib_autogen/mocs_compilation.cpp | ${cmake_ninja_workdir}app/app_lib_autogen/timestamp ${cmake_ninja_workdir}app/app_lib_autogen/mocs_compilation.cpp: CUSTOM_COMMAND /home/k4/Qt/6.10.2/gcc_64/libexec/moc || app/app_lib_autogen_timestamp_deps
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /usr/local/bin/cmake -E cmake_autogen /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/CMakeFiles/app_lib_autogen.dir/AutogenInfo.json Debug && /usr/local/bin/cmake -E touch /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/timestamp && /usr/local/bin/cmake -E cmake_transform_depfile Ninja gccdepfile /home/k4/tmp/bbr-algo/BinderBeispielRegler /home/k4/tmp/bbr-algo/BinderBeispielRegler/app /home/k4/tmp/bbr-algo/BinderBeispielRegler /home/k4/tmp/bbr-algo/BinderBeispielRegler/app /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/deps /home/k4/tmp/bbr-algo/BinderBeispielRegler/CMakeFiles/d/34448903ba26cebb50854c25460b8ae1c44de91d40a96db31ecd15f88ec731ce.d
  DESC = Automatic MOC and UIC for target app_lib
  depfile = CMakeFiles/d/34448903ba26cebb50854c25460b8ae1c44de91d40a96db31ecd15f88ec731ce.d
  deps = gcc
  restat = 1


#############################################
# Custom command for app/meta_types/app_lib_json_file_list.txt

build app/meta_types/app_lib_json_file_list.txt app/meta_types/app_lib_json_file_list.txt.timestamp | ${cmake_ninja_workdir}app/meta_types/app_lib_json_file_list.txt ${cmake_ninja_workdir}app/meta_types/app_lib_json_file_list.txt.timestamp: CUSTOM_COMMAND /home/k4/Qt/6.10.2/gcc_64/libexec/cmake_automoc_parser app/app_lib_autogen/timestamp || app/app_lib_autogen app/app_lib_autogen_timestamp_deps
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/app && /home/k4/Qt/6.10.2/gcc_64/libexec/cmake_automoc_parser --cmake-autogen-cache-file /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/CMakeFiles/app_lib_autogen.dir/ParseCache.txt --cmake-autogen-info-file /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/CMakeFiles/app_lib_autogen.dir/AutogenInfo.json --output-file-path /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/app_lib_json_file_list.txt --timestamp-file-path /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/meta_types/app_lib_json_file_list.txt.timestamp --cmake-autogen-include-dir-path /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/app_lib_autogen/include
  DESC = Running AUTOMOC file extraction for target app_lib
  restat = 1


#############################################
# Phony custom command for app/CMakeFiles/app_autogen

build app/CMakeFiles/app_autogen | ${cmake_ninja_workdir}app/CMakeFiles/app_autogen: phony app/app_autogen/timestamp || app/app_autogen_timestamp_deps app/app_lib_autogen app/app_lib_autogen_timestamp_deps app/libapp_lib.a controller/libctrl_algo.so


#############################################
# Phony custom command for app/CMakeFiles/app_lib_autogen

build app/CMakeFiles/app_lib_autogen | ${cmake_ninja_workdir}app/CMakeFiles/app_lib_autogen: phony app/app_lib_autogen/timestamp || app/app_lib_autogen_timestamp_deps

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /home/k4/tmp/bbr-algo/BinderBeispielRegler/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for SHARED_LIBRARY target ctrl_algo


#############################################
# Order-only phony target for ctrl_algo

build cmake_object_order_depends_target_ctrl_algo: phony || .

build controller/CMakeFiles/ctrl_algo.dir/Controller.cpp.o: CXX_COMPILER__ctrl_algo_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/Controller.cpp || cmake_object_order_depends_target_ctrl_algo
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG -Dctrl_algo_EXPORTS
  DEP_FILE = controller/CMakeFiles/ctrl_algo.dir/Controller.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIC -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/. -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/include
  OBJECT_DIR = controller/CMakeFiles/ctrl_algo.dir
  OBJECT_FILE_DIR = controller/CMakeFiles/ctrl_algo.dir
  TARGET_COMPILE_PDB = controller/CMakeFiles/ctrl_algo.dir/
  TARGET_PDB = controller/libctrl_algo.pdb
  TARGET_SUPPORT_DIR = controller/CMakeFiles/ctrl_algo.dir


# =============================================================================
# Link build statements for SHARED_LIBRARY target ctrl_algo


#############################################
# Link the shared library controller/libctrl_algo.so

build controller/libctrl_algo.so: CXX_SHARED_LIBRARY_LINKER__ctrl_algo_Debug controller/CMakeFiles/ctrl_algo.dir/Controller.cpp.o
  CONFIG = Debug
  DEP_FILE = controller/CMakeFiles/ctrl_algo.dir/link.d
  LANGUAGE_COMPILE_FLAGS = -g
  LINK_FLAGS = -shared -Wl,--dependency-file=controller/CMakeFiles/ctrl_algo.dir/link.d
  OBJECT_DIR = controller/CMakeFiles/ctrl_algo.dir
  POST_BUILD = :
  PRE_LINK = :
  SONAME = libctrl_algo.so
  SONAME_FLAG = -Wl,-soname,
  TARGET_COMPILE_PDB = controller/CMakeFiles/ctrl_algo.dir/
  TARGET_FILE = controller/libctrl_algo.so
  TARGET_PDB = controller/libctrl_algo.pdb
  TARGET_SUPPORT_DIR = controller/CMakeFiles/ctrl_algo.dir


#############################################
# Utility command for test

build controller/CMakeFiles/test.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller && /usr/local/bin/ctest
  DESC = Running tests...
  pool = console
  restat = 1

build controller/test: phony controller/CMakeFiles/test.util


#############################################
# Utility command for edit_cache

build controller/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller && /usr/local/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build controller/edit_cache: phony controller/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build controller/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller && /usr/local/bin/cmake --regenerate-during-build -S/home/k4/tmp/bbr-algo/BinderBeispielRegler -B/home/k4/tmp/bbr-algo/BinderBeispielRegler
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build controller/rebuild_cache: phony controller/CMakeFiles/rebuild_cache.util

# =============================================================================
# Write statements declared in CMakeLists.txt:
# /home/k4/tmp/bbr-algo/BinderBeispielRegler/CMakeLists.txt
# =============================================================================

# =============================================================================
# Object build statements for EXECUTABLE target tests


#############################################
# Order-only phony target for tests

build cmake_object_order_depends_target_tests: phony || cmake_object_order_depends_target_app_lib

build tests/CMakeFiles/tests.dir/filter-test.cpp.o: CXX_COMPILER__tests_unscanned_Debug /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests/filter-test.cpp || cmake_object_order_depends_target_tests
  CONFIG = Debug
  DEFINES = -DQT_QML_DEBUG
  DEP_FILE = tests/CMakeFiles/tests.dir/filter-test.cpp.o.d
  FLAGS = -g -std=gnu++17 -fPIE -fdiagnostics-color=always
  INCLUDES = -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/app -I/home/k4/tmp/bbr-algo/BinderBeispielRegler/controller
  OBJECT_DIR = tests/CMakeFiles/tests.dir
  OBJECT_FILE_DIR = tests/CMakeFiles/tests.dir
  TARGET_COMPILE_PDB = tests/CMakeFiles/tests.dir/
  TARGET_PDB = tests/tests.pdb
  TARGET_SUPPORT_DIR = tests/CMakeFiles/tests.dir


# =============================================================================
# Link build statements for EXECUTABLE target tests


#############################################
# Link the executable tests/tests

build tests/tests tests/tests[1]_tests.cmake | ${cmake_ninja_workdir}tests/tests[1]_tests.cmake: CXX_EXECUTABLE_LINKER__tests_Debug tests/CMakeFiles/tests.dir/filter-test.cpp.o | /usr/local/lib/libgtest_main.a app/libapp_lib.a /usr/local/lib/libgtest.a || app/libapp_lib.a
  CONFIG = Debug
  DEP_FILE = tests/CMakeFiles/tests.dir/link.d
  FLAGS = -g
  LINK_FLAGS = -Wl,--dependency-file=tests/CMakeFiles/tests.dir/link.d
  LINK_LIBRARIES = /usr/local/lib/libgtest_main.a  app/libapp_lib.a  /usr/local/lib/libgtest.a
  OBJECT_DIR = tests/CMakeFiles/tests.dir
  POST_BUILD = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests && /usr/local/bin/cmake -D TEST_TARGET=tests -D TEST_EXECUTABLE=/home/k4/tmp/bbr-algo/BinderBeispielRegler/tests/tests -D TEST_EXECUTOR= -D TEST_WORKING_DIR=/home/k4/tmp/bbr-algo/BinderBeispielRegler/tests -D TEST_EXTRA_ARGS= -D TEST_PROPERTIES= -D TEST_PREFIX= -D TEST_SUFFIX= -D TEST_FILTER= -D NO_PRETTY_TYPES=FALSE -D NO_PRETTY_VALUES=FALSE -D LIST_SEPARATOR= -D TEST_LIST=tests_TESTS -D CTEST_FILE=/home/k4/tmp/bbr-algo/BinderBeispielRegler/tests/tests[1]_tests.cmake -D TEST_DISCOVERY_TIMEOUT=5 -D TEST_DISCOVERY_EXTRA_ARGS= -D TEST_XML_OUTPUT_DIR= -P /usr/local/share/cmake-4.3/Modules/GoogleTestAddTests.cmake
  PRE_LINK = :
  RESTAT = 1
  TARGET_COMPILE_PDB = tests/CMakeFiles/tests.dir/
  TARGET_FILE = tests/tests
  TARGET_PDB = tests/tests.pdb
  TARGET_SUPPORT_DIR = tests/CMakeFiles/tests.dir


#############################################
# Utility command for test

build tests/CMakeFiles/test.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests && /usr/local/bin/ctest
  DESC = Running tests...
  pool = console
  restat = 1

build tests/test: phony tests/CMakeFiles/test.util


#############################################
# Utility command for edit_cache

build tests/CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests && /usr/local/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
  DESC = No interactive CMake dialog available...
  restat = 1

build tests/edit_cache: phony tests/CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build tests/CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests && /usr/local/bin/cmake --regenerate-during-build -S/home/k4/tmp/bbr-algo/BinderBeispielRegler -B/home/k4/tmp/bbr-algo/BinderBeispielRegler
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build tests/rebuild_cache: phony tests/CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

build app: phony app/app

build app_autogen: phony app/app_autogen

build app_autogen_timestamp_deps: phony app/app_autogen_timestamp_deps

build app_lib: phony app/libapp_lib.a

build app_lib_autogen: phony app/app_lib_autogen

build app_lib_autogen_timestamp_deps: phony app/app_lib_autogen_timestamp_deps

build ctrl_algo: phony controller/libctrl_algo.so

build libapp_lib.a: phony app/libapp_lib.a

build libctrl_algo.so: phony controller/libctrl_algo.so

build tests: phony tests/tests

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /home/k4/tmp/bbr-algo/BinderBeispielRegler

build all: phony app/all controller/all tests/all

# =============================================================================

#############################################
# Folder: /home/k4/tmp/bbr-algo/BinderBeispielRegler/app

build app/all: phony app/app app/libapp_lib.a

# =============================================================================

#############################################
# Folder: /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller

build controller/all: phony controller/libctrl_algo.so

# =============================================================================

#############################################
# Folder: /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests

build tests/all: phony tests/tests

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja /home/k4/tmp/bbr-algo/BinderBeispielRegler/cmake_install.cmake /home/k4/tmp/bbr-algo/BinderBeispielRegler/app/cmake_install.cmake /home/k4/tmp/bbr-algo/BinderBeispielRegler/controller/cmake_install.cmake /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests/cmake_install.cmake /home/k4/tmp/bbr-algo/BinderBeispielRegler/CTestTestfile.cmake /home/k4/tmp/bbr-algo/BinderBeispielRegler/tests/CTestTestfile.cmake: RERUN_CMAKE | .qtcreator/cmake-helper/maintenance_tool_provider.cmake .qtcreator/cmake-helper/package-manager.cmake .qtcreator/cmake-helper/qtcreator-project.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/FindWrapAtomic.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Config.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigExtras.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Dependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Targets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6VersionlessAliasTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtFeature.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtFeatureCommon.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtInstallPaths.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicAndroidHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicAppleHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeEarlyPolicyHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeVersionHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicDependencyHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicExternalProjectHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicFinalizerHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicFindPackageHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicGitHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicPluginHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicPluginHelpers_v2.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomAttributionHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCommonGenerationHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCpeHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCycloneDXHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomDepHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomDocumentNamespaceHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomFileHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomGenerationCycloneDXHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomGenerationHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomLicenseHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomOpsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomPurlHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomPythonHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomQtEntityHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomSystemDepHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicTargetHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicTestHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicToolHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicWalkLibsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicWindowsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreAdditionalTargetInfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfig.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigExtras.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreDependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreTargets-relwithdebinfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreVersionlessAliasTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsAdditionalTargetInfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfig.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsDependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsTargets-relwithdebinfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsVersionlessTargets.cmake /usr/local/lib/cmake/GTest/GTestConfig.cmake /usr/local/lib/cmake/GTest/GTestConfigVersion.cmake /usr/local/lib/cmake/GTest/GTestTargets-noconfig.cmake /usr/local/lib/cmake/GTest/GTestTargets.cmake /usr/local/share/cmake-4.3/Modules/CMakeCXXCompiler.cmake.in /usr/local/share/cmake-4.3/Modules/CMakeCXXCompilerABI.cpp /usr/local/share/cmake-4.3/Modules/CMakeCXXInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeCheckCompilerFlagCommonPatterns.cmake /usr/local/share/cmake-4.3/Modules/CMakeCommonLanguageInclude.cmake /usr/local/share/cmake-4.3/Modules/CMakeCompilerIdDetection.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCXXCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerABI.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerId.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerSupport.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineSystem.cmake /usr/local/share/cmake-4.3/Modules/CMakeFindBinUtils.cmake /usr/local/share/cmake-4.3/Modules/CMakeFindDependencyMacro.cmake /usr/local/share/cmake-4.3/Modules/CMakeGenericSystem.cmake /usr/local/share/cmake-4.3/Modules/CMakeInitializeConfigs.cmake /usr/local/share/cmake-4.3/Modules/CMakeLanguageInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseImplicitIncludeInfo.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseImplicitLinkInfo.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseLibraryArchitecture.cmake /usr/local/share/cmake-4.3/Modules/CMakeSystem.cmake.in /usr/local/share/cmake-4.3/Modules/CMakeSystemSpecificInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeSystemSpecificInitialize.cmake /usr/local/share/cmake-4.3/Modules/CMakeTestCXXCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeTestCompilerCommon.cmake /usr/local/share/cmake-4.3/Modules/CheckCXXCompilerFlag.cmake /usr/local/share/cmake-4.3/Modules/CheckCXXSourceCompiles.cmake /usr/local/share/cmake-4.3/Modules/CheckIncludeFileCXX.cmake /usr/local/share/cmake-4.3/Modules/CheckLibraryExists.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ADSP-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ARMCC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ARMClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/AppleClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Borland-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Clang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Clang-DetermineCompilerInternal.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Compaq-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Cray-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/CrayClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Diab-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Embarcadero-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Fujitsu-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/FujitsuClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GHS-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX-CXXImportStd.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-FindBinUtils.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU.cmake /usr/local/share/cmake-4.3/Modules/Compiler/HP-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IAR-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IBMClang-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Intel-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IntelLLVM-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/LCC-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/MSVC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/NVHPC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/NVIDIA-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/OpenWatcom-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/OrangeC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/PGI-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/PathScale-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Renesas-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/SCO-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/SunPro-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/TI-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/TIClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Tasking-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/VisualAge-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Watcom-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/XL-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/XLClang-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/zOS-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/FindGTest.cmake /usr/local/share/cmake-4.3/Modules/FindPackageHandleStandardArgs.cmake /usr/local/share/cmake-4.3/Modules/FindPackageMessage.cmake /usr/local/share/cmake-4.3/Modules/FindThreads.cmake /usr/local/share/cmake-4.3/Modules/GNUInstallDirs.cmake /usr/local/share/cmake-4.3/Modules/GoogleTest.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeCXXLinkerInformation.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeCommonLinkerInformation.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeDetermineLinkerId.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeInspectCXXLinker.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckCompilerFlag.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckFlagCommonConfig.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckSourceCompiles.cmake /usr/local/share/cmake-4.3/Modules/Internal/FeatureTesting.cmake /usr/local/share/cmake-4.3/Modules/Linker/GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Linker/GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/Linux-GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/Linux-GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-Determine-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-Initialize.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux.cmake /usr/local/share/cmake-4.3/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.3.20260327-g0b4a69d/CMakeCXXCompiler.cmake CMakeFiles/4.3.20260327-g0b4a69d/CMakeSystem.cmake CMakeLists.txt app/CMakeLists.txt controller/CMakeLists.txt tests/CMakeLists.txt
  pool = console


#############################################
# A missing CMake input file is not an error.

build .qtcreator/cmake-helper/maintenance_tool_provider.cmake .qtcreator/cmake-helper/package-manager.cmake .qtcreator/cmake-helper/qtcreator-project.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/FindWrapAtomic.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Config.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigExtras.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6ConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Dependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6Targets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/Qt6VersionlessAliasTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtFeature.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtFeatureCommon.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtInstallPaths.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicAndroidHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicAppleHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeEarlyPolicyHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicCMakeVersionHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicDependencyHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicExternalProjectHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicFinalizerHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicFindPackageHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicGitHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicPluginHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicPluginHelpers_v2.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomAttributionHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCommonGenerationHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCpeHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomCycloneDXHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomDepHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomDocumentNamespaceHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomFileHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomGenerationCycloneDXHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomGenerationHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomLicenseHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomOpsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomPurlHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomPythonHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomQtEntityHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicSbomSystemDepHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicTargetHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicTestHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicToolHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicWalkLibsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6/QtPublicWindowsHelpers.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreAdditionalTargetInfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfig.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigExtras.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreDependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreTargets-relwithdebinfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6Core/Qt6CoreVersionlessAliasTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsAdditionalTargetInfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfig.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfigVersion.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsConfigVersionImpl.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsDependencies.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsTargets-relwithdebinfo.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsTargets.cmake /home/k4/Qt/6.10.2/gcc_64/lib/cmake/Qt6CoreTools/Qt6CoreToolsVersionlessTargets.cmake /usr/local/lib/cmake/GTest/GTestConfig.cmake /usr/local/lib/cmake/GTest/GTestConfigVersion.cmake /usr/local/lib/cmake/GTest/GTestTargets-noconfig.cmake /usr/local/lib/cmake/GTest/GTestTargets.cmake /usr/local/share/cmake-4.3/Modules/CMakeCXXCompiler.cmake.in /usr/local/share/cmake-4.3/Modules/CMakeCXXCompilerABI.cpp /usr/local/share/cmake-4.3/Modules/CMakeCXXInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeCheckCompilerFlagCommonPatterns.cmake /usr/local/share/cmake-4.3/Modules/CMakeCommonLanguageInclude.cmake /usr/local/share/cmake-4.3/Modules/CMakeCompilerIdDetection.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCXXCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerABI.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerId.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineCompilerSupport.cmake /usr/local/share/cmake-4.3/Modules/CMakeDetermineSystem.cmake /usr/local/share/cmake-4.3/Modules/CMakeFindBinUtils.cmake /usr/local/share/cmake-4.3/Modules/CMakeFindDependencyMacro.cmake /usr/local/share/cmake-4.3/Modules/CMakeGenericSystem.cmake /usr/local/share/cmake-4.3/Modules/CMakeInitializeConfigs.cmake /usr/local/share/cmake-4.3/Modules/CMakeLanguageInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseImplicitIncludeInfo.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseImplicitLinkInfo.cmake /usr/local/share/cmake-4.3/Modules/CMakeParseLibraryArchitecture.cmake /usr/local/share/cmake-4.3/Modules/CMakeSystem.cmake.in /usr/local/share/cmake-4.3/Modules/CMakeSystemSpecificInformation.cmake /usr/local/share/cmake-4.3/Modules/CMakeSystemSpecificInitialize.cmake /usr/local/share/cmake-4.3/Modules/CMakeTestCXXCompiler.cmake /usr/local/share/cmake-4.3/Modules/CMakeTestCompilerCommon.cmake /usr/local/share/cmake-4.3/Modules/CheckCXXCompilerFlag.cmake /usr/local/share/cmake-4.3/Modules/CheckCXXSourceCompiles.cmake /usr/local/share/cmake-4.3/Modules/CheckIncludeFileCXX.cmake /usr/local/share/cmake-4.3/Modules/CheckLibraryExists.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ADSP-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ARMCC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/ARMClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/AppleClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Borland-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Clang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Clang-DetermineCompilerInternal.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Compaq-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Cray-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/CrayClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Diab-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Embarcadero-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Fujitsu-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/FujitsuClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GHS-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX-CXXImportStd.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU-FindBinUtils.cmake /usr/local/share/cmake-4.3/Modules/Compiler/GNU.cmake /usr/local/share/cmake-4.3/Modules/Compiler/HP-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IAR-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IBMCPP-CXX-DetermineVersionInternal.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IBMClang-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Intel-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/IntelLLVM-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/LCC-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/MSVC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/NVHPC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/NVIDIA-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/OpenWatcom-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/OrangeC-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/PGI-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/PathScale-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Renesas-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/SCO-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/SunPro-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/TI-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/TIClang-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Tasking-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/VisualAge-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/Watcom-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/XL-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/XLClang-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/Compiler/zOS-CXX-DetermineCompiler.cmake /usr/local/share/cmake-4.3/Modules/FindGTest.cmake /usr/local/share/cmake-4.3/Modules/FindPackageHandleStandardArgs.cmake /usr/local/share/cmake-4.3/Modules/FindPackageMessage.cmake /usr/local/share/cmake-4.3/Modules/FindThreads.cmake /usr/local/share/cmake-4.3/Modules/GNUInstallDirs.cmake /usr/local/share/cmake-4.3/Modules/GoogleTest.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeCXXLinkerInformation.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeCommonLinkerInformation.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeDetermineLinkerId.cmake /usr/local/share/cmake-4.3/Modules/Internal/CMakeInspectCXXLinker.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckCompilerFlag.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckFlagCommonConfig.cmake /usr/local/share/cmake-4.3/Modules/Internal/CheckSourceCompiles.cmake /usr/local/share/cmake-4.3/Modules/Internal/FeatureTesting.cmake /usr/local/share/cmake-4.3/Modules/Linker/GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Linker/GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/Linux-GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linker/Linux-GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-Determine-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-GNU-CXX.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-GNU.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux-Initialize.cmake /usr/local/share/cmake-4.3/Modules/Platform/Linux.cmake /usr/local/share/cmake-4.3/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.3.20260327-g0b4a69d/CMakeCXXCompiler.cmake CMakeFiles/4.3.20260327-g0b4a69d/CMakeSystem.cmake CMakeLists.txt app/CMakeLists.txt controller/CMakeLists.txt tests/CMakeLists.txt: phony


#############################################
# Clean additional files.

build CMakeFiles/clean.additional: CLEAN_ADDITIONAL
  CONFIG = Debug


#############################################
# Clean all the built files.

build clean: CLEAN CMakeFiles/clean.additional


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
